#!/usr/bin/env node
import fs from 'node:fs';
import { resolve } from 'node:path';
import { name } from '../dist/package.json';

const pkgPath = resolve(process.cwd(), 'package.json');
const pkg = JSON.parse(fs.readFileSync(pkgPath, 'utf8'));

const devDeps = (pkg.devDependencies ??= {});

Object.assign(devDeps, {
  'eslint-plugin-import': `file:./node_modules/${name}/import`,
  'eslint-plugin-jsx-a11y': `file:./node_modules/${name}/jsx-a11y`,
  'eslint-plugin-local': `file:./node_modules/${name}/local`,
  'eslint-plugin-rules': `file:./node_modules/${name}/rules`,
  'eslint-plugin-react': `file:./node_modules/${name}/react`,
  'eslint-plugin-react-hooks': `file:./node_modules/${name}/react-hooks`,
});

devDeps['@typescript-eslint/eslint-plugin'] ??= '6.2.0';
devDeps['@typescript-eslint/parser'] ??= '6.2.0';

fs.writeFileSync(pkgPath, JSON.stringify(pkg, null, 2));

const eslintrc = resolve(process.cwd(), '.eslintrc.js');
if (fs.existsSync(eslintrc)) {
  fs.writeFileSync(
    eslintrc,
    `const { extendConfig } = require('@aet/eslint-rules/basic');

module.exports = extendConfig({
  extends: [],
});`,
  );
}
