#!/usr/bin/env node
import fs from 'node:fs';
import { resolve } from 'node:path';
import { name } from '../dist/package.json';

const pkgPath = resolve(process.cwd(), 'package.json');
const pkg = JSON.parse(fs.readFileSync(pkgPath, 'utf8'));

const devDeps = (pkg.devDependencies ??= {});
for (const dep of [
  'eslint-plugin-import',
  'eslint-plugin-jsx-a11y',
  'eslint-plugin-local',
  'eslint-plugin-rules',
  'eslint-plugin-react',
  'eslint-plugin-react-hooks',
]) {
  if (devDeps[dep]?.startsWith(`file:./node_modules/${name}/`)) {
    delete devDeps[dep];
  }
}

fs.writeFileSync(pkgPath, JSON.stringify(pkg, null, 2));
